commit:     04567015f131419f60a5c5e4afa21fadb788e4d0
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 21 22:05:01 2022 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Jan 21 22:05:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04567015

dev-ml/labltk: do not call ranlib directly

Closes: https://bugs.gentoo.org/727250
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/labltk/labltk-8.06.10.ebuild |  6 +++++-
 dev-ml/labltk/labltk-8.06.11.ebuild | 10 ++++++----
 dev-ml/labltk/labltk-8.06.7.ebuild  | 13 +++++++++++--
 dev-ml/labltk/labltk-8.06.9.ebuild  | 12 ++++++++++--
 4 files changed, 32 insertions(+), 9 deletions(-)

diff --git a/dev-ml/labltk/labltk-8.06.10.ebuild 
b/dev-ml/labltk/labltk-8.06.10.ebuild
index 8c4ae9062615..65454bd0eb4e 100644
--- a/dev-ml/labltk/labltk-8.06.10.ebuild
+++ b/dev-ml/labltk/labltk-8.06.10.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit findlib
+inherit findlib toolchain-funcs
 
 DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
 HOMEPAGE="https://garrigue.github.io/labltk/";
@@ -30,6 +30,10 @@ PATCHES=(
 src_prepare() {
        has_version "dev-lang/ocaml:0/4.11" && \
                eapply "${FILESDIR}"/${P}-this-expression-has-type.patch
+       sed -i \
+               -e "s|ranlib|$(tc-getRANLIB)|" \
+               frx/Makefile \
+               || die
        default
 }
 

diff --git a/dev-ml/labltk/labltk-8.06.11.ebuild 
b/dev-ml/labltk/labltk-8.06.11.ebuild
index 17c7758e6511..ecf7d249b8f1 100644
--- a/dev-ml/labltk/labltk-8.06.11.ebuild
+++ b/dev-ml/labltk/labltk-8.06.11.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit findlib
+inherit findlib toolchain-funcs
 
 DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
 HOMEPAGE="https://garrigue.github.io/labltk/";
@@ -25,8 +25,10 @@ PATCHES=(
 )
 
 src_prepare() {
-       has_version "dev-lang/ocaml:0/4.11" && \
-               eapply "${FILESDIR}"/${P}-this-expression-has-type.patch
+       sed -i \
+               -e "s|ranlib|$(tc-getRANLIB)|" \
+               frx/Makefile \
+               || die
        default
 }
 

diff --git a/dev-ml/labltk/labltk-8.06.7.ebuild 
b/dev-ml/labltk/labltk-8.06.7.ebuild
index 193ef043c201..e10d95339561 100644
--- a/dev-ml/labltk/labltk-8.06.7.ebuild
+++ b/dev-ml/labltk/labltk-8.06.7.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit findlib
+inherit findlib toolchain-funcs
 
 DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
 HOMEPAGE="https://garrigue.github.io/labltk/";
@@ -15,6 +15,7 @@ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 
x86 ~amd64-linux ~x
 IUSE="+ocamlopt X"
 
 RDEPEND=">=dev-lang/tk-8.0.3:=
+       <dev-lang/ocaml-4.10
        >=dev-lang/ocaml-4.08:=[ocamlopt?,X(+)?]"
 DEPEND="${RDEPEND}
        >=dev-ml/findlib-1.5.5-r1"
@@ -23,6 +24,14 @@ PATCHES=(
        "${FILESDIR}/findlib.patch"
 )
 
+src_prepare() {
+       sed -i \
+               -e "s|ranlib|$(tc-getRANLIB)|" \
+               frx/Makefile \
+               || die
+       default
+}
+
 src_configure() {
        ./configure --use-findlib --verbose $(usex X "--tk-x11" "--tk-no-x11") 
|| die "configure failed!"
 }

diff --git a/dev-ml/labltk/labltk-8.06.9.ebuild 
b/dev-ml/labltk/labltk-8.06.9.ebuild
index dabb658293ef..7bce5317f51d 100644
--- a/dev-ml/labltk/labltk-8.06.9.ebuild
+++ b/dev-ml/labltk/labltk-8.06.9.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit findlib
+inherit findlib toolchain-funcs
 
 DESCRIPTION="OCaml interface to the Tcl/Tk GUI framework"
 HOMEPAGE="https://garrigue.github.io/labltk/";
@@ -15,7 +15,7 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc 
~ppc64 ~x86 ~amd64-li
 IUSE="+ocamlopt X"
 
 RDEPEND="dev-lang/tk:=
-       <dev-lang/ocaml-4.13
+       <dev-lang/ocaml-4.12
        >=dev-lang/ocaml-4.11:=[ocamlopt?,X(+)?]"
 DEPEND="${RDEPEND}
        dev-ml/findlib
@@ -25,6 +25,14 @@ PATCHES=(
        "${FILESDIR}/findlib.patch"
 )
 
+src_prepare() {
+       sed -i \
+               -e "s|ranlib|$(tc-getRANLIB)|" \
+               frx/Makefile \
+               || die
+       default
+}
+
 src_configure() {
        ./configure --use-findlib --verbose $(usex X "--tk-x11" "--tk-no-x11") 
|| die "configure failed!"
 }

Reply via email to